Check Storage Policy Compliance
Check datastores for compliance against a given storage policy.
The ID of the pairing between this vSphere Replication server and the remote one.
The ID of the vCenter server
The ID of a storage policy
List of datastores to check their compliance
[
{}
]
Compliance result of datastores.
{
"list": [
{
"storage_policy_id": "string",
"datastore": "string",
"compliant": false,
"not_compliant_detailed_message": "string"
}
],
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
],
"total": 0,
"offset": 0,
"limit": 0,
"links": {
"next": {
"href": "string"
},
"self": {
"href": "string"
},
"previous": {
"href": "string"
}
}
}
}
Datastore compliance status against a storage policy.
List metadata
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/pairings/{pairing_id}/vcenters/{vcenter_id}/storage-policies/{storage_policy_id}/actions/check-compliance